/*ardoraPaquete.js, created by ARDORA www.webardora.net

Copyright (C) <2011>  <José Manuel Bouzán M.>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

var indice, indiceMul, taboaContidos, maxIndice, menuLateral, menuActividades, anchoContidoIni,horaInicio, taboaIntentos;
function inicia(){
   var data=new Date();
   if (data.getMinutes()<10){horaInicio=data.getHours() +":0"+data.getMinutes()+" h";}
   else{horaInicio=data.getHours() +":"+data.getMinutes()+" h";}
   taboaIntentos=new Array();
   menuLateral='';
   menuActividades='';
   if (window.opener == null){
      indice=0;
      }else{
      if (window.opener.indice == null){
         indice=0;
      }else{
         indice=window.opener.indice;
      }
   }
   maxIndice=11;
	taboaContidos=new Array();
taboaContidos[0]=new act("CONCEPTOS 1","CONCEPTOS 1","<b>Relaciona estos conceptos",'<APPLET code="ArdoraRFrases.class" archive = "Ri1defin1.jar"  width=720 height=330 MAYSCRIPT></APPLET>',false,"riaxu/OS RIOS.pdf",true,false,false);
taboaContidos[1]=new act("CONCEPTOS 2","CONCEPTOS 2","<b>      Relaciona os seguintes conceptos.<br><br></b>",'<APPLET code="ArdoraRFrases.class" archive = "Ri1defin2.jar"  width=720 height=330 MAYSCRIPT></APPLET>',false,"riaxu/OS RIOS.pdf",true,false,false);
taboaContidos[2]=new act("COMPLETA","COMPLETA","<b>   Completa este texto sobre os aproveitamentos  dos r&#237;os.<br><br></b>",'<APPLET code="ArdoraCompleta.class" archive = "Ri15completa.jar"  width=730 height=330 MAYSCRIPT></APPLET>',false,"riaxu/OS RIOS.pdf",true,false,false);
taboaContidos[3]=new act("LOCALIZA","LOCALIZA","<b>  Localiza  no mapa os seguintes r&#237;os.",'<APPLET code="ArdoraPanel.class" archive = "Ri2locrio.jar"  width=700 height=400 MAYSCRIPT></APPLET>',false,"riaxu/OS RIOS.pdf",true,false,false);
taboaContidos[4]=new act("LOCALIZA","LOCALIZA","<b>  As vertentes dos r&#237;os.  Localiza neste mapa   os lugares sinalados.",'<APPLET code="ArdoraPaInter.class" archive = "Ri4locver.jar"  width=690 height=430 MAYSCRIPT></APPLET>',false,"riaxu/OS RIOS.pdf",true,false,false);
taboaContidos[5]=new act("LOCALIZA","LOCALIZA","<b>Localiza no mapa os seguintes encoros",'<APPLET code="ArdoraPanel.class" archive = "Ri6locencor.jar"  width=700 height=400 MAYSCRIPT></APPLET>',false,"riaxu/OS RIOS.pdf",true,false,false);
taboaContidos[6]=new act("COLOREA","COLOREA","<b>     As cuncas dos r&#237;os.  Colorea  as cuncas dos r&#237;os sinalados. Se o fas ben   ver&#225;s  &quot;Ben feito&#183;&quot;en caso contrario , repasa en  axuda.",'<APPLET code="ArdoraColoreaLenda.class" archive = "Ri3colcun.jar"  width=720 height=330 MAYSCRIPT></APPLET>',false,"riaxu/OS RIOS.pdf",true,false,false);
taboaContidos[7]=new act("SOPA DE LETRAS","SOPA DE LETRAS","<b>   Busca  8 palabras relacionadas co r&#237;o.",'<APPLET code="ArdoraSopa.class" archive = "Ri5sopa.jar"  width=700 height=330 MAYSCRIPT></APPLET>',false,"",true,false,false);
taboaContidos[8]=new act("IDENTIFICA","IDENTIFICA","<b> Asocia   estas imaxes cos lugares por onde pasa  o Mi&#241;o",'<APPLET code="ArdoraRImaFra.class" archive = "Ri7repalimax.jar"  width=720 height=330 MAYSCRIPT></APPLET>',false,"",true,false,false);
taboaContidos[9]=new act("CLASIFICA","CLASIFICA","<b>     Clasifica os seguintes r&#237;os segundo a vertente onde  desemboquen.<br><br></b>",'<APPLET code="ArdoraClasificaP.class" archive = "Ri9clasif.jar"  width=730 height=330 MAYSCRIPT></APPLET>',false,"riaxu/OS RIOS.pdf",true,false,false);
taboaContidos[10]=new act("ORDENA POR LONXITUDES","ORDENA POR LONXITUDES","<b>  Ordena  estos r&#237;os pola   s&#250;a  lonxitude",'<APPLET code="ArdoraOImaxes.class" archive = "Ri8orden.jar"  width=780 height=400 MAYSCRIPT></APPLET>',false,"riaxu/OS RIOS.pdf",true,false,false);
taboaContidos[11]=new act("TEST","TEST","<b>  Contesta as seguintes preguntas . Non hai tempo l&#237;mite.  Podes ter ata 6 intentos antes de que  o test se dete&#241;a.",'<APPLET code="ATest.class" archive = "ritest.jar"  width=730 height=330 MAYSCRIPT></APPLET>',false,"riaxu/OS RIOS.pdf",true,false,false);
document.getElementById("botonAdiante").href="javascript:avanza()";
document.getElementById("botonAtras").href="javascript:retrocede()";
document.getElementById("botonAxuda").target="_blank";
anchoContidoIni=document.getElementById("areaContido").style.width;
   actualiza();
}
function actualiza(){
   document.getElementById("tituloAct").innerHTML=taboaContidos[indice].descricion;
   document.getElementById("enunciadoAct").innerHTML=taboaContidos[indice].enunciado;
   document.getElementById("contidoAct").innerHTML=taboaContidos[indice].areaContido;
   document.getElementById("botonAdiante").style.visibility="hidden";
   document.getElementById("botonAtras").style.visibility="hidden";
   document.getElementById("botonAxuda").style.visibility="hidden";
   if (eval(document.getElementById("menu")) != null){document.getElementById("menu").style.visibility="hidden";}
   if (taboaContidos[indice].seg_ant){
      if (indice>0){
         document.getElementById("botonAtras").title=taboaContidos[indice-1].descricionUTF8;
         document.getElementById("botonAtras").style.visibility="visible";
      }
      if (indice<maxIndice){
         document.getElementById("botonAdiante").title=taboaContidos[indice+1].descricionUTF8;
         document.getElementById("botonAdiante").style.visibility="visible";
      }
   }
   if (taboaContidos[indice].mp){
      document.getElementById("menuPrincipal").style.visibility="visible";
   }
   else{
      document.getElementById("menuPrincipal").style.visibility="hidden";
   }
   if (taboaContidos[indice].bAxuda.length>0){
      document.getElementById("botonAxuda").href=taboaContidos[indice].bAxuda;
      document.getElementById("botonAxuda").style.visibility="visible";
   }
   if ((taboaContidos[indice].ml) || (taboaContidos[indice].ma)){
	   contido="";
	   document.getElementById("menu").style.height="auto";
      document.getElementById("areaContido").style.width=anchoContidoIni;
	   if (taboaContidos[indice].ml){ contido=menuLateral;}
	   if (taboaContidos[indice].ma){ contido=contido+menuActividades;}
	   document.getElementById("menu").innerHTML=contido;
	   document.getElementById("menu").style.visibility="visible";
   }
   else{
        if (eval(document.getElementById("menu")) != null){document.getElementById("menu").style.height="0px";}
        document.getElementById("areaContido").style.width="100%";
   }
}
function avanza(){
   if (indice<maxIndice){
      indice++; actualiza();
   };
}
function irA(num){
      indice=num; actualiza();
}
function recarga(){
      irA(indice);
}
function retrocede(){indice--; actualiza();}
function act( descricion, descricionUTF8, enunciado, areaContido,ma, bAxuda, seg_ant, mp, ml ) {
   this.descricion=descricion;
   this.descricionUTF8=descricionUTF8;
   this.enunciado=enunciado;
   this.areaContido=areaContido;
   this.mp=mp;
   this.ml=ml;
   this.ma=ma;
   this.seg_ant=seg_ant;
   this.bAxuda=bAxuda;
   }
function iniciaActividade(){
   var data=new Date();
   if (data.getMinutes()<10){var hI=data.getHours() +":0"+data.getMinutes();}
   else{var hI=data.getHours() +":"+data.getMinutes();}
   var x=taboaIntentos.length;
   taboaIntentos[x]=new infoAct(indice,hI,0,"exec","xx:xx",0);
}
function iniciaActividadeMul(){
   indiceMul=indice;
   var data=new Date();
   if (data.getMinutes()<10){var hI=data.getHours() +":0"+data.getMinutes();}
   else{var hI=data.getHours() +":"+data.getMinutes();}
   var x=taboaIntentos.length;
   taboaIntentos[x]=new infoAct(indice,hI,0,"exec","xx:xx",0);
}
function infoAct( ind, hinicio, intentos, estado, hfin, puntos){
	this.ind=ind;
	this.hinicio=hinicio;
	this.intentos=intentos;
	this.estado=estado;
	this.hfin=hfin;
	this.puntos=puntos;
}
function actualizaInfoAct(puntos,intentos,estado){
	var data=new Date();
   if (data.getMinutes()<10){var hF=data.getHours() +":0"+data.getMinutes();}
   else{var hF=data.getHours() +":"+data.getMinutes();}
	var x=taboaIntentos.length-1;
	var hI=taboaIntentos[x].hinicio;
	taboaIntentos[x]=new infoAct(indice,hI,intentos,estado,hF,puntos);
}
function actualizaInfoActMul(){
	var data=new Date();
   if (data.getMinutes()<10){var hF=data.getHours() +":0"+data.getMinutes();}
   else{var hF=data.getHours() +":"+data.getMinutes();}
	var x=taboaIntentos.length-1;
	var hI=taboaIntentos[x].hinicio;
	taboaIntentos[x]=new infoAct(indiceMul,hI,0,"--",hF,0);
}
function PechaVentana(){window.close()}
function AbreCentrada(theURL,winName,features, myWidth, myHeight, isCenter,aNume) {
	if(window.screen)if(isCenter)if(isCenter=="true"){
      var myLeft = (screen.width-myWidth)/2;
      var myTop = (screen.height-myHeight)/2;
      features+=(features!='')?',':'';
      features+=',left='+myLeft+',top='+myTop;
    }
    window.open(theURL,winName,features+((features!='')?',':'')+'width='+myWidth+',height='+myHeight);
    indice=aNume;
}
function mostrar(capa){
var obj = document.getElementById(capa)
if(obj.style.display == "block"){
   obj.style.display = "none"
   document.getElementById("contenido").style.width="95%";
}else{
   obj.style.display = "block";
   document.getElementById("contenido").style.width="75%";
}}
function MM_preloadImages() {
   var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
   var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
   if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function MM_swapImgRestore() {var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;}
function MM_findObj(n, d) { //v4.01
   var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
   d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
   if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
   for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
      if(!x && d.getElementById) x=d.getElementById(n); return x;
}
function MM_swapImage() { //v3.0
   var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
